<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.csreport.mapper.RStatDataHarmpowerPDMapper">
  <resultMap id="BaseResultMap" type="com.njcn.csreport.pojo.po.RStatDataHarmpowerPD">
    <!--@mbg.generated-->
    <!--@Table r_stat_data_harmpower_p_d-->
    <result column="time" jdbcType="TIMESTAMP" property="time" />
    <result column="line_id" jdbcType="VARCHAR" property="lineId" />
    <result column="phasic_type" jdbcType="VARCHAR" property="phasicType" />
    <result column="value_type" jdbcType="VARCHAR" property="valueType" />
    <result column="quality_flag" jdbcType="INTEGER" property="qualityFlag" />
    <result column="p" jdbcType="DECIMAL" property="p" />
    <result column="pf" jdbcType="DECIMAL" property="pf" />
    <result column="df" jdbcType="DECIMAL" property="df" />
    <result column="p_1" jdbcType="DECIMAL" property="p1" />
    <result column="p_2" jdbcType="DECIMAL" property="p2" />
    <result column="p_3" jdbcType="DECIMAL" property="p3" />
    <result column="p_4" jdbcType="DECIMAL" property="p4" />
    <result column="p_5" jdbcType="DECIMAL" property="p5" />
    <result column="p_6" jdbcType="DECIMAL" property="p6" />
    <result column="p_7" jdbcType="DECIMAL" property="p7" />
    <result column="p_8" jdbcType="DECIMAL" property="p8" />
    <result column="p_9" jdbcType="DECIMAL" property="p9" />
    <result column="p_10" jdbcType="DECIMAL" property="p10" />
    <result column="p_11" jdbcType="DECIMAL" property="p11" />
    <result column="p_12" jdbcType="DECIMAL" property="p12" />
    <result column="p_13" jdbcType="DECIMAL" property="p13" />
    <result column="p_14" jdbcType="DECIMAL" property="p14" />
    <result column="p_15" jdbcType="DECIMAL" property="p15" />
    <result column="p_16" jdbcType="DECIMAL" property="p16" />
    <result column="p_17" jdbcType="DECIMAL" property="p17" />
    <result column="p_18" jdbcType="DECIMAL" property="p18" />
    <result column="p_19" jdbcType="DECIMAL" property="p19" />
    <result column="p_20" jdbcType="DECIMAL" property="p20" />
    <result column="p_21" jdbcType="DECIMAL" property="p21" />
    <result column="p_22" jdbcType="DECIMAL" property="p22" />
    <result column="p_23" jdbcType="DECIMAL" property="p23" />
    <result column="p_24" jdbcType="DECIMAL" property="p24" />
    <result column="p_25" jdbcType="DECIMAL" property="p25" />
    <result column="p_26" jdbcType="DECIMAL" property="p26" />
    <result column="p_27" jdbcType="DECIMAL" property="p27" />
    <result column="p_28" jdbcType="DECIMAL" property="p28" />
    <result column="p_29" jdbcType="DECIMAL" property="p29" />
    <result column="p_30" jdbcType="DECIMAL" property="p30" />
    <result column="p_31" jdbcType="DECIMAL" property="p31" />
    <result column="p_32" jdbcType="DECIMAL" property="p32" />
    <result column="p_33" jdbcType="DECIMAL" property="p33" />
    <result column="p_34" jdbcType="DECIMAL" property="p34" />
    <result column="p_35" jdbcType="DECIMAL" property="p35" />
    <result column="p_36" jdbcType="DECIMAL" property="p36" />
    <result column="p_37" jdbcType="DECIMAL" property="p37" />
    <result column="p_38" jdbcType="DECIMAL" property="p38" />
    <result column="p_39" jdbcType="DECIMAL" property="p39" />
    <result column="p_40" jdbcType="DECIMAL" property="p40" />
    <result column="p_41" jdbcType="DECIMAL" property="p41" />
    <result column="p_42" jdbcType="DECIMAL" property="p42" />
    <result column="p_43" jdbcType="DECIMAL" property="p43" />
    <result column="p_44" jdbcType="DECIMAL" property="p44" />
    <result column="p_45" jdbcType="DECIMAL" property="p45" />
    <result column="p_46" jdbcType="DECIMAL" property="p46" />
    <result column="p_47" jdbcType="DECIMAL" property="p47" />
    <result column="p_48" jdbcType="DECIMAL" property="p48" />
    <result column="p_49" jdbcType="DECIMAL" property="p49" />
    <result column="p_50" jdbcType="DECIMAL" property="p50" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--@mbg.generated-->
    `time`, line_id, phasic_type, value_type, quality_flag, p, pf, df, p_1, p_2, p_3, 
    p_4, p_5, p_6, p_7, p_8, p_9, p_10, p_11, p_12, p_13, p_14, p_15, p_16, p_17, p_18, 
    p_19, p_20, p_21, p_22, p_23, p_24, p_25, p_26, p_27, p_28, p_29, p_30, p_31, p_32, 
    p_33, p_34, p_35, p_36, p_37, p_38, p_39, p_40, p_41, p_42, p_43, p_44, p_45, p_46, 
    p_47, p_48, p_49, p_50
  </sql>
</mapper>